package nc.vo.jzpm.wfm;

import nc.vo.pub.SuperVO;

public class WfDefBVO extends SuperVO{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	
	private String id;
	private String hid;
	private Integer dr = 0;
	private String ts;
	private String activityId;
	private String activityName;
	private String partId;
	private String partType;
	private String partUnitType;
	private String PartUnitCode;
	private String partUnitId;
	private String partUnitOrg;
	
	@Override
	public String getTableName() {
		return "wf_def_b";
	}
	
	@Override
	public String getPKFieldName() {
		return "id";
	}
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getHid() {
		return hid;
	}
	public void setHid(String hid) {
		this.hid = hid;
	}
	public Integer getDr() {
		return dr;
	}
	public void setDr(Integer dr) {
		this.dr = dr;
	}
	public String getTs() {
		return ts;
	}
	public void setTs(String ts) {
		this.ts = ts;
	}
	public String getActivityId() {
		return activityId;
	}
	public void setActivityId(String activityId) {
		this.activityId = activityId;
	}
	public String getActivityName() {
		return activityName;
	}
	public void setActivityName(String activityName) {
		this.activityName = activityName;
	}
	public String getPartId() {
		return partId;
	}
	public void setPartId(String partId) {
		this.partId = partId;
	}
	public String getPartType() {
		return partType;
	}
	public void setPartType(String partType) {
		this.partType = partType;
	}
	public String getPartUnitType() {
		return partUnitType;
	}
	public void setPartUnitType(String partUnitType) {
		this.partUnitType = partUnitType;
	}
	public String getPartUnitId() {
		return partUnitId;
	}
	public void setPartUnitId(String partUnitId) {
		this.partUnitId = partUnitId;
	}
	public String getPartUnitOrg() {
		return partUnitOrg;
	}
	public void setPartUnitOrg(String partUnitOrg) {
		this.partUnitOrg = partUnitOrg;
	}

	public String getPartUnitCode() {
		return PartUnitCode;
	}

	public void setPartUnitCode(String partUnitCode) {
		PartUnitCode = partUnitCode;
	}

}
